Bug 1206907 - [abrt] cinnamon-screensaver: g_settings_schema_get_value(): cinnamon-screensaver killed by SIGTRAP
Summary: [abrt] cinnamon-screensaver: g_settings_schema_get_value(): cinnamon-screensa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:316b60b28335a647e2593888d77...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-29 13:13 UTC by matthewgibbs92
Modified: 2015-04-21 18:44 UTC (History)
4 users (show)

Fixed In Version: nemo-extensions-2.4.x-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-18 09:52:36 UTC


Attachments (Terms of Use)
File: backtrace (45.97 KB, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: core_backtrace (13.81 KB, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: dso_list (9.48 KB, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: environ (915 bytes, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: maps (47.19 KB, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: open_fds (1.10 KB, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2015-03-29 13:13 UTC, matthewgibbs92
no flags Details

Description matthewgibbs92 2015-03-29 13:13:11 UTC
Version-Release number of selected component:
cinnamon-screensaver-2.4.0-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/cinnamon-screensaver --no-daemon
crash_function: g_settings_schema_get_value
executable:     /usr/bin/cinnamon-screensaver
kernel:         3.19.1-201.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Sat 2015-01-31 11:44:14 GMT, end at Sun 2015-03-29 12:51:37 BST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_settings_schema_get_value at gsettingsschema.c:951
 #3 g_settings_schema_key_init at gsettingsschema.c:1148
 #4 g_settings_get_value at gsettings.c:1091
 #5 g_settings_get_boolean at gsettings.c:1904
 #6 settings_changed_cb at gnome-wall-clock.c:71
 #7 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #8 _g_closure_invoke_va at gclosure.c:831
 #11 g_settings_real_change_event at gsettings.c:277
 #12 ffi_call_unix64 at ../src/x86/unix64.S:76
 #13 ffi_call at ../src/x86/ffi64.c:525

Comment 1 matthewgibbs92 2015-03-29 13:13:18 UTC
Created attachment 1008007 [details]
File: backtrace

Comment 2 matthewgibbs92 2015-03-29 13:13:20 UTC
Created attachment 1008008 [details]
File: cgroup

Comment 3 matthewgibbs92 2015-03-29 13:13:23 UTC
Created attachment 1008009 [details]
File: core_backtrace

Comment 4 matthewgibbs92 2015-03-29 13:13:26 UTC
Created attachment 1008010 [details]
File: dso_list

Comment 5 matthewgibbs92 2015-03-29 13:13:28 UTC
Created attachment 1008011 [details]
File: environ

Comment 6 matthewgibbs92 2015-03-29 13:13:30 UTC
Created attachment 1008012 [details]
File: limits

Comment 7 matthewgibbs92 2015-03-29 13:13:34 UTC
Created attachment 1008013 [details]
File: maps

Comment 8 matthewgibbs92 2015-03-29 13:13:36 UTC
Created attachment 1008014 [details]
File: open_fds

Comment 9 matthewgibbs92 2015-03-29 13:13:38 UTC
Created attachment 1008015 [details]
File: proc_pid_status

Comment 10 Wolfgang Ulbrich 2015-03-29 13:27:29 UTC
upstream can't read your report!

Comment 11 leigh scott 2015-03-29 14:34:08 UTC
Hi Mike,

It looks like RavetcoFX has broken cinnamon again

#0  g_logv (log_domain=0x7f7b74ad30f8 "GLib-GIO", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7ffe7980c550) at gmessages.c:1046
        domain = 0x0
        data = 0x0
        depth = 0
        log_func = 0x7f7b7449b200 <g_log_default_handler>
        domain_fatal_mask = <optimized out>
        masquerade_fatal = 0
        test_level = <optimized out>
        was_fatal = <optimized out>
        was_recursion = <optimized out>
        msg = 0xeaf450 "Settings schema 'org.cinnamon.desktop.interface' does not contain a key named 'use-custom-format'"
        msg_alloc = 0xeaf450 "Settings schema 'org.cinnamon.desktop.interface' does not contain a key named 'use-custom-format'"
        i = 2
#1  0x00007f7b7449bbaf in g_log (log_domain=log_domain@entry=0x7f7b74ad30f8 "GLib-GIO", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x7f7b74af0d30 "Settings schema '%s' does not contain a key named '%s'") at gmessages.c:1079
        args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7ffe7980c630, reg_save_area = 0x7ffe7980c570}}
#2  0x00007f7b74a8c0d9 in g_settings_schema_get_value (schema=0x101a940, key=0x41ba92 "use-custom-format") at gsettingsschema.c:951

with this commit

https://github.com/linuxmint/cinnamon-screensaver/commit/b021f6f07ad8b4295ddd755eadf3e031f4456fe6

Comment 12 Fedora Update System 2015-04-04 15:57:51 UTC
nemo-extensions-2.4.x-3.fc22, muffin-2.4.5-2.fc22, cinnamon-screensaver-2.4.2-1.fc22, mintlocale-1.1.6-0.4.gitfb4118d.fc22, nemo-2.4.5-2.fc22, cjs-2.4.2-1.fc22, cinnamon-2.4.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mintlocale-1.1.6-0.4.gitfb4118d.fc22,nemo-extensions-2.4.x-3.fc22,nemo-2.4.5-2.fc22,muffin-2.4.5-2.fc22,cjs-2.4.2-1.fc22,cinnamon-screensaver-2.4.2-1.fc22,cinnamon-2.4.7-1.fc22

Comment 13 Fedora Update System 2015-04-04 15:58:26 UTC
muffin-2.4.5-2.fc20, cinnamon-settings-daemon-2.4.3-3.fc20, cinnamon-screensaver-2.4.2-1.fc20, cinnamon-2.4.7-1.fc20, nemo-2.4.5-2.fc20, cjs-2.4.2-1.fc20, cinnamon-session-2.4.1-5.fc20, cinnamon-control-center-2.4.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nemo-2.4.5-2.fc20,muffin-2.4.5-2.fc20,cjs-2.4.2-1.fc20,cinnamon-settings-daemon-2.4.3-3.fc20,cinnamon-session-2.4.1-5.fc20,cinnamon-screensaver-2.4.2-1.fc20,cinnamon-control-center-2.4.2-2.fc20,cinnamon-2.4.7-1.fc20

Comment 14 Fedora Update System 2015-04-04 15:59:04 UTC
nemo-2.4.5-2.fc21, cjs-2.4.2-1.fc21, cinnamon-session-2.4.1-5.fc21, cinnamon-control-center-2.4.2-2.fc21, muffin-2.4.5-2.fc21, cinnamon-settings-daemon-2.4.3-3.fc21, cinnamon-screensaver-2.4.2-1.fc21, cinnamon-2.4.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nemo-2.4.5-2.fc21,muffin-2.4.5-2.fc21,cjs-2.4.2-1.fc21,cinnamon-settings-daemon-2.4.3-3.fc21,cinnamon-session-2.4.1-5.fc21,cinnamon-screensaver-2.4.2-1.fc21,cinnamon-control-center-2.4.2-2.fc21,cinnamon-2.4.7-1.fc21

Comment 15 Fedora Update System 2015-04-05 14:28:54 UTC
Package muffin-2.4.5-2.fc20, cinnamon-settings-daemon-2.4.3-3.fc20, cinnamon-screensaver-2.4.2-1.fc20, cinnamon-2.4.7-1.fc20, nemo-2.4.5-2.fc20, cjs-2.4.2-1.fc20, cinnamon-session-2.4.1-5.fc20, cinnamon-control-center-2.4.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing muffin-2.4.5-2.fc20 cinnamon-settings-daemon-2.4.3-3.fc20 cinnamon-screensaver-2.4.2-1.fc20 cinnamon-2.4.7-1.fc20 nemo-2.4.5-2.fc20 cjs-2.4.2-1.fc20 cinnamon-session-2.4.1-5.fc20 cinnamon-control-center-2.4.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5547/nemo-2.4.5-2.fc20,muffin-2.4.5-2.fc20,cjs-2.4.2-1.fc20,cinnamon-settings-daemon-2.4.3-3.fc20,cinnamon-session-2.4.1-5.fc20,cinnamon-screensaver-2.4.2-1.fc20,cinnamon-control-center-2.4.2-2.fc20,cinnamon-2.4.7-1.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2015-04-18 09:52:36 UTC
nemo-2.4.5-2.fc21, cjs-2.4.2-1.fc21, cinnamon-session-2.4.1-5.fc21, cinnamon-control-center-2.4.2-2.fc21, muffin-2.4.5-2.fc21, cinnamon-settings-daemon-2.4.3-3.fc21, cinnamon-screensaver-2.4.2-1.fc21, cinnamon-2.4.7-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-04-18 09:53:48 UTC
muffin-2.4.5-2.fc20, cinnamon-settings-daemon-2.4.3-3.fc20, cinnamon-screensaver-2.4.2-1.fc20, cinnamon-2.4.7-1.fc20, nemo-2.4.5-2.fc20, cjs-2.4.2-1.fc20, cinnamon-session-2.4.1-5.fc20, cinnamon-control-center-2.4.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-04-21 18:44:39 UTC
nemo-extensions-2.4.x-3.fc22, muffin-2.4.5-2.fc22, cinnamon-screensaver-2.4.2-1.fc22, mintlocale-1.1.6-0.4.gitfb4118d.fc22, nemo-2.4.5-2.fc22, cjs-2.4.2-1.fc22, cinnamon-2.4.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.